Learn more on how to stay protected from the latest Ransomware Pandemic
Check Point Advisories

Linux Kernel Netfilter Buffer Overflow (CVE-2019-11360)

Check Point Reference: CPAI-2019-1821
Date Published: 25 Feb 2020
Severity: Medium
Last Updated: 25 Feb 2020
Source:
Industry Reference:CVE-2019-11360
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable? Linux Kernel Netfilter iptables 1.8.2
Vulnerability Description A stack-based buffer overflow vulnerability exists in Linux Kernel Netfilter framework. Successful exploitation of this vulnerability could result in arbitrary code execution on the affected system.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Linux Kernel Netfilter Buffer Overflow (CVE-2019-11360) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  ICMP Protocol Violation.
Attack Information:  Linux Kernel Netfilter Buffer Overflow (CVE-2019-11360)

×
  Feedback
This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO